# Build environment setting
# default is ARM
AR     := arm-none-eabi-ar
AS     := arm-none-eabi-as
LD     := arm-none-eabi-g++
RANLIB := arm-none-eabi-ranlib
STRIP  := arm-none-eabi-strip
CC     := arm-none-eabi-gcc
CPP    := arm-none-eabi-g++
NM     := arm-none-eabi-nm
OBJCOPY:=arm-none-eabi-objcopy
GDB    :=arm-none-eabi-gdb

TARGET := arm-none-eabi
ENDIANSWAP := 0
DEBUGBUILD := 0
TARGET_ARCH :=
CPPFLAGS := 
CFLAGS := -Wall -Wextra -fsigned-char -mcpu=cortex-m3 -mthumb -D STM32F10X_MD_VL -D VECT_TAB_FLASH
LDFLAGS := -g -Wall -mcpu=cortex-m3 -mthumb -fno-exceptions -fno-common -ffunction-sections -fdata-sections -nostartfiles
#-D STM32F10X_MD 
#-nostdlib

TOP=$(shell readlink -f "$(dir $(lastword $(MAKEFILE_LIST)))")
LIBDIR=$(TOP)/libs

#Adust the following line to the library in use
STMLIB=$(LIBDIR)/STM32F10x_StdPeriph_Lib_V3.5.0/Libraries

INCLUDE=-I$(TOP)/inc
INCLUDE+=-I$(STMLIB)/CMSIS/CM3/CoreSupport
INCLUDE+=-I$(STMLIB)/CMSIS/CM3/DeviceSupport/ST/STM32F10x
INCLUDE+=-I$(STMLIB)/STM32F10x_StdPeriph_Driver/inc

#DEBUGBUILD?=0

export DEBUGBUILD
export ENDIANSWAP

CFLAGS+=-DENDIANSWAP=$(ENDIANSWAP) -DDEBUGBUILD=$(DEBUGBUILD)

ifneq ($(DEBUGBUILD),0)
CFLAGS+=-g -O0
else
CFLAGS+=-O2
endif
